<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de l&#39;espace de nommage src.usbDisk2</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacesrc_1_1usbDisk2.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Fonctions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Référence de l'espace de nommage src.usbDisk2</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html">Available</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">une classe pour représenter la collection des disques USB connectés  <a href="classsrc_1_1usbDisk2_1_1Available.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1MainWindow.html">MainWindow</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html">uDisk2</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">une classe pour représenter un disque ou une partition.  <a href="classsrc_1_1usbDisk2_1_1uDisk2.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html">UDisksBackend</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a40f49ea9cccdda381360944bb4694c67"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a40f49ea9cccdda381360944bb4694c67">inspectData</a> ()</td></tr>
<tr class="separator:a40f49ea9cccdda381360944bb4694c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cc978f0b36fc7a494c61860e5cd2a3a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a1cc978f0b36fc7a494c61860e5cd2a3a">safePath</a> (obj)</td></tr>
<tr class="memdesc:a1cc978f0b36fc7a494c61860e5cd2a3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Récupère de façon sûre le path d'une instance de UDisksObjectProxy.  <a href="namespacesrc_1_1usbDisk2.html#a1cc978f0b36fc7a494c61860e5cd2a3a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1cc978f0b36fc7a494c61860e5cd2a3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a124088b557ce86499f2bbb50a54df3de"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a124088b557ce86499f2bbb50a54df3de">fs_size</a> (device)</td></tr>
<tr class="memdesc:a124088b557ce86499f2bbb50a54df3de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie la taille d'un système de fichier et la place disponible.  <a href="namespacesrc_1_1usbDisk2.html#a124088b557ce86499f2bbb50a54df3de">Plus de détails...</a><br /></td></tr>
<tr class="separator:a124088b557ce86499f2bbb50a54df3de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b785d4df1b354b96fff6351c4d228b9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a9b785d4df1b354b96fff6351c4d228b9">print_targets_if_modif</a> (man, obj)</td></tr>
<tr class="separator:a9b785d4df1b354b96fff6351c4d228b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a535b2d454752927e5e0498f83f699f42"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a535b2d454752927e5e0498f83f699f42">licence</a> = {}</td></tr>
<tr class="separator:a535b2d454752927e5e0498f83f699f42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73d793d56af8fd2191b58cdbc239419d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a73d793d56af8fd2191b58cdbc239419d">licence_en</a></td></tr>
<tr class="separator:a73d793d56af8fd2191b58cdbc239419d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6888ffacbe946e7676339f7fc3696912"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a6888ffacbe946e7676339f7fc3696912">dependances</a> = &quot;python3-dbus python3-dbus.mainloop.pyqt5&quot;</td></tr>
<tr class="separator:a6888ffacbe946e7676339f7fc3696912"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9df1fdfc2e7c6f4893a1566c4db759a3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a9df1fdfc2e7c6f4893a1566c4db759a3">debug</a> = False</td></tr>
<tr class="memdesc:a9df1fdfc2e7c6f4893a1566c4db759a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">activate debugging #######################  <a href="namespacesrc_1_1usbDisk2.html#a9df1fdfc2e7c6f4893a1566c4db759a3">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9df1fdfc2e7c6f4893a1566c4db759a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e93b1fb0e3ca6307812e8f464814155"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a2e93b1fb0e3ca6307812e8f464814155">level</a></td></tr>
<tr class="separator:a2e93b1fb0e3ca6307812e8f464814155"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2c8a01e0625293a29146b0dcbed4a39"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#ad2c8a01e0625293a29146b0dcbed4a39">no_options</a> = GLib.Variant('a{sv}', {})</td></tr>
<tr class="memdesc:ad2c8a01e0625293a29146b0dcbed4a39"><td class="mdescLeft">&#160;</td><td class="mdescRight">la variable suivante a été recopiées à l'aveugle ################ depuis un fichier du projet USBcreator ##########################  <a href="namespacesrc_1_1usbDisk2.html#ad2c8a01e0625293a29146b0dcbed4a39">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad2c8a01e0625293a29146b0dcbed4a39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83c9a8fbdb41f52508949686d997cddc"><td class="memItemLeft" align="right" valign="top">tuple&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a83c9a8fbdb41f52508949686d997cddc">not_interesting</a></td></tr>
<tr class="memdesc:a83c9a8fbdb41f52508949686d997cddc"><td class="mdescLeft">&#160;</td><td class="mdescRight">des "chemins" correspondant à des disques non débranchables ########  <a href="namespacesrc_1_1usbDisk2.html#a83c9a8fbdb41f52508949686d997cddc">Plus de détails...</a><br /></td></tr>
<tr class="separator:a83c9a8fbdb41f52508949686d997cddc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2e9157315de37a948920b8ad2acd1ea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#ac2e9157315de37a948920b8ad2acd1ea">machin</a></td></tr>
<tr class="separator:ac2e9157315de37a948920b8ad2acd1ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abca0b8bcb24bdfb2b8443a7ddeb36254"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#abca0b8bcb24bdfb2b8443a7ddeb36254">app</a> = QApplication(sys.argv)</td></tr>
<tr class="separator:abca0b8bcb24bdfb2b8443a7ddeb36254"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35e8cb05f48405cf17cba03217677439"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a35e8cb05f48405cf17cba03217677439">main</a> = <a class="el" href="classsrc_1_1usbDisk2_1_1MainWindow.html">MainWindow</a>()</td></tr>
<tr class="separator:a35e8cb05f48405cf17cba03217677439"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="a124088b557ce86499f2bbb50a54df3de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a124088b557ce86499f2bbb50a54df3de">&#9670;&nbsp;</a></span>fs_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.fs_size </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Renvoie la taille d'un système de fichier et la place disponible. </p>
<dl class="section return"><dt>Renvoie</dt><dd>un tuple : taille totale et espace libre </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00074">74</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1usbDisk2_a124088b557ce86499f2bbb50a54df3de_icgraph.png" border="0" usemap="#namespacesrc_1_1usbDisk2_a124088b557ce86499f2bbb50a54df3de_icgraph" alt=""/></div>
<map name="namespacesrc_1_1usbDisk2_a124088b557ce86499f2bbb50a54df3de_icgraph" id="namespacesrc_1_1usbDisk2_a124088b557ce86499f2bbb50a54df3de_icgraph">
<area shape="rect" title="Renvoie la taille d&#39;un système de fichier et la place disponible." alt="" coords="268,37,409,63"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aedd2fa479eee462059ad71ebbacfd62d" title="détermine si un périphérique est de type USB" alt="" coords="5,29,220,71"/>
</map>
</div>

</div>
</div>
<a id="a40f49ea9cccdda381360944bb4694c67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40f49ea9cccdda381360944bb4694c67">&#9670;&nbsp;</a></span>inspectData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.inspectData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00036">36</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1usbDisk2_a40f49ea9cccdda381360944bb4694c67_icgraph.png" border="0" usemap="#namespacesrc_1_1usbDisk2_a40f49ea9cccdda381360944bb4694c67_icgraph" alt=""/></div>
<map name="namespacesrc_1_1usbDisk2_a40f49ea9cccdda381360944bb4694c67_icgraph" id="namespacesrc_1_1usbDisk2_a40f49ea9cccdda381360944bb4694c67_icgraph">
<area shape="rect" title=" " alt="" coords="268,37,437,63"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aedd2fa479eee462059ad71ebbacfd62d" title="détermine si un périphérique est de type USB" alt="" coords="5,29,220,71"/>
</map>
</div>

</div>
</div>
<a id="a9b785d4df1b354b96fff6351c4d228b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b785d4df1b354b96fff6351c4d228b9">&#9670;&nbsp;</a></span>print_targets_if_modif()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.print_targets_if_modif </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>man</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>obj</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00777">777</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a1cc978f0b36fc7a494c61860e5cd2a3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cc978f0b36fc7a494c61860e5cd2a3a">&#9670;&nbsp;</a></span>safePath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.safePath </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Récupère de façon sûre le path d'une instance de UDisksObjectProxy. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">obj</td><td>instance de UDisksObjectProxy, ou simple chaine </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00059">59</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1usbDisk2_a1cc978f0b36fc7a494c61860e5cd2a3a_icgraph.png" border="0" usemap="#namespacesrc_1_1usbDisk2_a1cc978f0b36fc7a494c61860e5cd2a3a_icgraph" alt=""/></div>
<map name="namespacesrc_1_1usbDisk2_a1cc978f0b36fc7a494c61860e5cd2a3a_icgraph" id="namespacesrc_1_1usbDisk2_a1cc978f0b36fc7a494c61860e5cd2a3a_icgraph">
<area shape="rect" title="Récupère de façon sûre le path d&#39;une instance de UDisksObjectProxy." alt="" coords="287,111,439,138"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1mainWindow.html#a5a65459619ac739953577cc582afa55b" title=" " alt="" coords="17,5,227,47"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1mainWindow.html#a46db08aec131a3c48c7f26a199f34702" title=" " alt="" coords="17,71,227,112"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a256f370a58ed5033b6a0822193195f4a" title="Fait un inventaire des disques." alt="" coords="5,136,239,177"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aedd2fa479eee462059ad71ebbacfd62d" title="détermine si un périphérique est de type USB" alt="" coords="15,225,229,267"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Documentation des variables</h2>
<a id="abca0b8bcb24bdfb2b8443a7ddeb36254"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abca0b8bcb24bdfb2b8443a7ddeb36254">&#9670;&nbsp;</a></span>app</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.app = QApplication(sys.argv)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00784">784</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a9df1fdfc2e7c6f4893a1566c4db759a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9df1fdfc2e7c6f4893a1566c4db759a3">&#9670;&nbsp;</a></span>debug</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool src.usbDisk2.debug = False</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>activate debugging ####################### </p>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00035">35</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a6888ffacbe946e7676339f7fc3696912"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6888ffacbe946e7676339f7fc3696912">&#9670;&nbsp;</a></span>dependances</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string src.usbDisk2.dependances = &quot;python3-dbus python3-dbus.mainloop.pyqt5&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00026">26</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a2e93b1fb0e3ca6307812e8f464814155"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e93b1fb0e3ca6307812e8f464814155">&#9670;&nbsp;</a></span>level</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.level</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00040">40</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a535b2d454752927e5e0498f83f699f42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a535b2d454752927e5e0498f83f699f42">&#9670;&nbsp;</a></span>licence</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dictionary src.usbDisk2.licence = {}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00003">3</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a73d793d56af8fd2191b58cdbc239419d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73d793d56af8fd2191b58cdbc239419d">&#9670;&nbsp;</a></span>licence_en</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string src.usbDisk2.licence_en</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Valeur initiale :</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;= <span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="stringliteral">    file usbDisk2.py</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="stringliteral">    this file is part of the project scolasync. It is a rewrite of</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="stringliteral">    usbDisk.py to take in account udisks2.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral">    Copyright (C) 2014 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version3 of the License, or</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
</div><!-- fragment -->
<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00004">4</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="ac2e9157315de37a948920b8ad2acd1ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2e9157315de37a948920b8ad2acd1ea">&#9670;&nbsp;</a></span>machin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.machin</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00775">775</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a35e8cb05f48405cf17cba03217677439"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35e8cb05f48405cf17cba03217677439">&#9670;&nbsp;</a></span>main</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.main = <a class="el" href="classsrc_1_1usbDisk2_1_1MainWindow.html">MainWindow</a>()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00785">785</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="ad2c8a01e0625293a29146b0dcbed4a39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2c8a01e0625293a29146b0dcbed4a39">&#9670;&nbsp;</a></span>no_options</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.no_options = GLib.Variant('a{sv}', {})</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>la variable suivante a été recopiées à l'aveugle ################ depuis un fichier du projet USBcreator ########################## </p>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00086">86</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a83c9a8fbdb41f52508949686d997cddc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83c9a8fbdb41f52508949686d997cddc">&#9670;&nbsp;</a></span>not_interesting</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tuple src.usbDisk2.not_interesting</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Valeur initiale :</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;=  (</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;    <span class="comment"># boucle</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;    <span class="stringliteral">&#39;/org/freedesktop/UDisks2/block_devices/loop&#39;</span>,</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;    <span class="comment"># disque raid</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;    <span class="stringliteral">&#39;/org/freedesktop/UDisks2/block_devices/dm_&#39;</span>,</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;    <span class="comment"># mémoire vive</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;    <span class="stringliteral">&#39;/org/freedesktop/UDisks2/block_devices/ram&#39;</span>,</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    <span class="stringliteral">&#39;/org/freedesktop/UDisks2/block_devices/zram&#39;</span>,</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    <span class="comment"># disques durs</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="stringliteral">&#39;/org/freedesktop/UDisks2/drives/&#39;</span>,</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    )</div>
</div><!-- fragment -->
<p>des "chemins" correspondant à des disques non débranchables ######## </p>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00091">91</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1usbDisk2.html">usbDisk2</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
